use rust_decimal_macros::dec;

use super::RoundDecimal as _;

#[test]
fn should_round_to_nearest_even_below() {
    let d = dec!(13.951148000000);
    assert_eq!(d.round_to_ocpi_scale(), dec!(13.9511));
}

#[test]
fn should_round_to_nearest_even_above() {
    let d = dec!(13.951158000000);
    assert_eq!(d.round_to_ocpi_scale(), dec!(13.9512));
}
